Bug 8813 - sort output is incorrect
sort output is incorrect
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: textutils (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-24 18:20 EST by John Benninghoff
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-24 18:23:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Benninghoff 2000-01-24 18:20:56 EST
Here is the test case in a unix shell transcript:

johnb@ilinux zsh: cat test.fqn
ads.gamespy.com
ads.enliven.com
adserver.akqa.net
ads.dogpile.com
ads.fool.com
johnb@ilinux zsh: sort test.fqn
ads.dogpile.com
ads.enliven.com
adserver.akqa.net
ads.fool.com
ads.gamespy.com
johnb@ilinux zsh: sort --version
sort (GNU textutils) 2.0
Written by Mike Haertel.

Copyright (C) 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
johnb@ilinux zsh: type sort
sort is /bin/sort


It appears as though the -d option is enabled by default.  Just my
speculation though.  My results on Solaris 2.6 appeared correct.
Comment 1 Bernhard Rosenkraenzer 2000-01-24 18:23:59 EST
This was related to the locale stuff, which turned out to be more
confusing than senseful.
It's now (Rawhide/6.2b*) disabled by default.
Comment 2 John Benninghoff 2000-01-24 18:50:59 EST
So how do I disable -d in the interim?
Comment 3 sidlon 2000-03-11 14:12:59 EST
For now, set the environmental variable LC_ALL to POSIX, and sort will work properly.

Note You need to log in before you can comment on or make changes to this bug.